hpp-corbaserver: hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/constraints_idl/constraints.hh>`

Inheritance diagram for hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >:
[legend]

## Public Member Functions
| DifferentiableFunctionServant (Server *server, const Storage &s)
virtual | ~DifferentiableFunctionServant ()
floatSeq * | value (const floatSeq &arg)
floatSeqSeq * | jacobian (const floatSeq &arg)
size_type | inputSize ()
size_type | inputDerivativeSize ()
size_type | outputSize ()
size_type | outputDerivativeSize ()
char * | name ()
char * | str ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Public Types inherited from hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t
Protected Member Functions inherited from hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Constructor & Destructor Documentation

## ◆ DifferentiableFunctionServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::DifferentiableFunctionServant | ( | Server * | server,
|  | const Storage & | s
| ) |  |
| inline

## ◆ ~DifferentiableFunctionServant()

template<typename _Base , typename _Storage >

virtual hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::~DifferentiableFunctionServant | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ inputDerivativeSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::inputDerivativeSize | ( |  | ) |
| inline

## ◆ inputSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::inputSize | ( |  | ) |
| inline

## ◆ jacobian()

template<typename _Base , typename _Storage >

floatSeqSeq* hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::jacobian | ( | const floatSeq & | arg | ) |
| inline

## ◆ name()

template<typename _Base , typename _Storage >

char* hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::name | ( |  | ) |
| inline

## ◆ outputDerivativeSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::outputDerivativeSize | ( |  | ) |
| inline

## ◆ outputSize()

template<typename _Base , typename _Storage >

size_type hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::outputSize | ( |  | ) |
| inline

## ◆ str()

template<typename _Base , typename _Storage >

char* hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::str | ( |  | ) |
| inline

## ◆ value()

template<typename _Base , typename _Storage >

floatSeq* hpp::corbaServer::constraints_idl::DifferentiableFunctionServant< _Base, _Storage >::value | ( | const floatSeq & | arg | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/constraints_idl/constraints.hh